LocalVariableNode (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.tree

## Class LocalVariableNode

- java.lang.Object
- - org.objectweb.asm.tree.LocalVariableNode

-     public class LocalVariableNode
      extends Object

  A node that represents a local variable declaration.
  Author:
    Eric Bruneton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `desc` The type descriptor of this local variable.
    `LabelNode` | `end` The last instruction corresponding to the scope of this local variable (exclusive).
    `int` | `index` The local variable's index.
    `String` | `name` The name of a local variable.
    `String` | `signature` The signature of this local variable.
    `LabelNode` | `start` The first instruction corresponding to the scope of this local variable (inclusive).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVariableNode(String name, String desc, String signature, LabelNode start, LabelNode end, int index)` Constructs a new `LocalVariableNode`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(MethodVisitor mv)` Makes the given visitor visit this local variable declaration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      The name of a local variable.

    - #### desc

          public String desc

      The type descriptor of this local variable.

    - #### signature

          public String signature

      The signature of this local variable. May be `null`.

    - #### start

          public LabelNode start

      The first instruction corresponding to the scope of this local variable (inclusive).

    - #### end

          public LabelNode end

      The last instruction corresponding to the scope of this local variable (exclusive).

    - #### index

          public int index

      The local variable's index.

  - ### Constructor Detail

    - #### LocalVariableNode

          public LocalVariableNode(String name,
                           String desc,
                           String signature,
                           LabelNode start,
                           LabelNode end,
                           int index)

      Constructs a new `LocalVariableNode`.
      Parameters:
        `name` - the name of a local variable.
        `desc` - the type descriptor of this local variable.
        `signature` - the signature of this local variable. May be `null`.
        `start` - the first instruction corresponding to the scope of this local variable (inclusive).
        `end` - the last instruction corresponding to the scope of this local variable (exclusive).
        `index` - the local variable's index.

  - ### Method Detail

    - #### accept

          public void accept(MethodVisitor mv)

      Makes the given visitor visit this local variable declaration.
      Parameters:
        `mv` - a method visitor.